/*
	rem and em DO NOT DEPEND ON HTML FONT-SIZE in media queries!
	Instead, 1rem = 1em = 16px
*/

/*********************************************************/
/*===== Below 1344px (Smaller Desktop) Start =====*/
@media(max-width: 84em){
	.heading-primary{
		font-size: 4.4rem;
	}

	.hero-container{
		max-width: 120rem;
	}

	.gallery{
		grid-template-columns: repeat(2, 1fr);
	}
}
/*===== Below 1344px (Smaller Desktop) End   =====*/
/*********************************************************/





/*********************************************************/
/*===== Below 1200px (Landscape Tablet) Start =====*/
@media(max-width: 75em){
	html{
		/* 9px / 16px = 56.25% */
		font-size: 56.25%;
	}

	.grid{
		gap: 6.4rem 4.8rem;
	}

	.heading-secondary{
		font-size: 3.6rem;
	}

	.heading-tertiary{
		font-size: 2.4rem;
	}

	.header{
		padding: 0 3.2rem;
	}

	.main-nav-list{
		gap: 3.2rem;
	}

	.hero-container{
		gap: 4.8rem;
	}

	.hero-img-box{
		width: 100%;
	}

	.testimonials-container{
		padding: 9.6rem 3.2rem;
	}
}
/*===== Below 1200px (Landscape Tablet) End   =====*/
/*********************************************************/





/*********************************************************/
/*===== Below 944px (Tablets) Start =====*/
@media(max-width: 59em){
	html{
		/* 8px / 16px = 50% */
		font-size: 50%;
	}

	.hero-container{
		grid-template-columns: 1fr;
		padding: 8rem 8rem 0;
		gap: 6.4rem;
	}

	.hero-text-box, .hero-img-box{
		text-align: center;
	}

	.hero-img-box{
		margin: 0 0 6.4rem;
	}

	.delivered-meals{
		justify-content: center;
		margin: 3.2rem;
	}
	
	.hero-img{
		width: 80%;
	}

	.logos img{
		height: 2.4rem;
	}

	.step-number{
		font-size: 7.4rem;
	}

	.meal-content{
		padding: 2.4rem 3.2rem 3.2rem;
	}

	.section-testimonial{
		grid-template-columns: 1fr;
	}

	.gallery{
		grid-template-columns: repeat(6, 1fr);
	}

	.cta{
		/* 3/5 = 60% - 40% ratio */
		grid-template-columns: 3fr 2fr;
	}

	.cta-form{
		grid-template-columns: 1fr;
	}

	.btn--form{
		margin: 1.2rem 0 0;
	}

	/* Mobile Nav */
	.btn-mobile-nav{
		display: block;
		z-index: 100;

		transition: all 0.9s;
	}

	.main-nav{
		background-color: rgba(253, 242, 233, .90);
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100vh;
		/* Move the position to the right */
		transform: translateX(100%);

		display: flex;
		align-items: center;
		justify-content: center;
		transition: all 0.5s ease-in;

		/* Hide navigation */
		/* Allows NO transition at all if use the display: none; property */
		/* display: none; */

		/* 1. Hide it visually */
		opacity: 0;
		/* 2. Make it unaccessible to mouse and keyboard */
		pointer-events: none;
		/* 3. Hide it from screen readers */
		visibility: hidden;

	}

	.nav-open .main-nav{
		opacity: 1;
		pointer-events: auto;
		visibility: visible;
		transform: translateX(0);

		background-color: var(--shades2-color);
	}

	.nav-open .icon-mobile-nav[name="close-outline"]{
		display: block;
	}

	.nav-open .icon-mobile-nav[name="menu-outline"]{
		display: none;
	}

	.main-nav-list{
		flex-direction: column;
		gap: 4.8rem;
	}

	.main-nav-link:link, .main-nav-link:visited{
		font-size: 3rem;
	}

	
}
/*===== Below 944px (Tablets) End   =====*/
/*********************************************************/





/*********************************************************/
/*=====  Pricing Plan Responsiveness Start =====*/
/* 800px */
@media(max-width: 55em){
	.pricing-plan--complete::after{
		top: 5%;
		right: -22%;
	}
}

/* 750px */
@media(max-width: 46.88em){
	.pricing-plan--complete::after{
		top: 6%;
		right: -22%;
	}
}

/* 730px */
@media(max-width: 45.62em){
	.pricing-plan--complete::after{
		top: 6%;
		right: -22%;
	}
}

/* 545px */
@media(max-width: 34em){
	.pricing-plan--complete::after{
		top: 8%;
		right: -10%;
		padding: .8rem 8rem .8rem 8rem;
	}
}

/* 500px */
@media(max-width: 31.25em){
	.pricing-plan--complete::after{
		top: 7%;
		right: -14%;
	}
}


/* 400px */
@media(max-width: 25em){
	.pricing-plan--complete::after{
		top: 6%;
		right: -19%;
	}
}

/* 330px */
@media(max-width: 20.63em){
	.pricing-plan--complete::after{
		top: 5%;
		right: -23%;
	}	
}
/*===== Pricing Plan Responsiveness End   =====*/
/*********************************************************/





/*********************************************************/
/*===== Below 704px (Smaller Tablets) Start =====*/
@media(max-width: 44em){

	.hero-container{
		padding: 3.2rem 0 0;
	}

	.hero-text-box, .hero-img-box{
		text-align: center;
		padding: 0 4.4rem;
	}

	.hero-img-box{
		margin: 0 0 6.4rem;
	}

	.delivered-meals{
		justify-content: center;
		margin: 3.2rem;
	}
	
	.hero-img{
		width: 80%;
	}

	.grid--3-cols, .grid--4-cols {
		grid-template-columns: repeat(2, 1fr);
	}

	.diets{
		grid-column: 1 / -1;
		justify-self: center;
	}

	.heading-secondary{
		margin: 0 0 4.8rem;
	}

	.pricing-plan{
		width: 100%;
	}

	.hero-img-box{
		width: 100vw;
	}

	.grid--footer{
		grid-template-columns: repeat(6, 1fr);
	}

	.footer-logo-col, .footer-address-col{
		grid-column: span 3;
	}

	.footer-nav-col{
		grid-row: 1;
		grid-column: span 2;
		margin: 0 0 3.2rem;
	}
}
/*===== Below 704px (Smaller Tablets) End   =====*/
/*********************************************************/






/*********************************************************/
/*===== Below 544px (Phones Screen) Start =====*/
@media(max-width: 34em){
	.grid{
		gap: 4.8rem 0;
	}

	.grid--2-cols, .grid--3-cols, .grid--4-cols {
		grid-template-columns: 1fr;
	}

	.heading-secondary{
		font-size: 4.4rem;
	}

	.btn, .btn:link, .btn:visited{
		padding: 2.4rem 1.6rem;
	}

	.section-hero{
		padding: 2.4rem 0 4.8rem 0; 
	}

	.hero-container{
		gap: 0;
	}

	.delivered-text{
		font-size: 1.3rem;
	}

	.hero-img-box{
		width: 100%;
		margin: 0;
	}

	.hero-img{
		width: 100%;
	}

	.logos img{
		height: 1.2rem;
	}

	.step-img-box:nth-child(2){
		grid-row: 1 / 2;
	}

	.step-img-box:last-child{
		grid-row: 5 / 6;
	}

	.step-img-box{
		transform: translateY(2.4rem);
	}

	.testimonials{
		grid-template-columns: 1fr;
	}

	.gallery{
		grid-template-columns: repeat(4, 1fr);
		gap: 1.2rem;
	}


	.cta{
		grid-template-columns: 1fr;
	}

	.cta-txt-box{
		padding: 3.2rem;
	}

	.cta-img-box{
		height: 48rem;
		grid-row: 1 / 2;
	}

	.grid--footer{
		gap: 0 3.2rem;
	}

}
/*===== Below 544px (Phones Screen) End   =====*/
/*********************************************************/